Subject: bug#52897: closed (Re: bug#52897: [PATCH] doc: Add instructions on upgrading the build daemon with doas.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Jul 2022 18:28:02 +0000

Your bug report

#52897: [PATCH] doc: Add instructions on upgrading the build daemon with doas.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52897: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=52897
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52897: [PATCH] doc: Add instructions on upgrading the build daemon with doas.
From: Maxim Cournoyer <[email-masked]>
To: zimoun <[email-masked]>
Cc: Morgan Smith <[email-masked]>, [email-masked], jgart <[email-masked]>
Date: Thu, 07 Jul 2022 14:27:47 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

zimoun <[email-masked]> writes:

> Hi,
>
> On Fri, 31 Dec 2021 at 23:49, Morgan Smith <[email-masked]> wrote:
>
>> I've explicitly removed sudo from my machine as supposedly sudo is a
>> large complex codebase that likely has bugs (although that's probably
>> just openBSD propaganda).
>
> Guix documentation uniquely relies on ’sudo’.  And for instance, I was
> not aware of such propaganda. :-)
>
> Well, I do not have an opinion, but AFAIK, Guix does not work on the top
> of OpenBSD (yet! who knows if someone will not port a BSD kernel with a
> GNU userland as Debian did some time ago [1] ;-))
>
> For me, it is a niche and for consistency, all the commands using ’sudo’
> should also provide the ’doas’ way.  And I am not convinced the burden
> is worth.  Well, I do not have an opinion.

I'm also not convinced it brings much, especially since Guix can't be
used where 'doas' is likely to be encountered (BSDs).

Closing.

Thanks for the discussion!

Maxim

Subject: [PATCH] doc: Add instructions on upgrading the build daemon with doas.
From: jgart <[email-masked]>
To: [email-masked]
Cc: jgart <[email-masked]>
Date: Thu, 30 Dec 2021 06:11:56 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

* doc/guix.texi (Upgrading Guix): Give instructions on upgrading the
build daemon with doas.
---
 doc/guix.texi | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index ebfcfee7f7..a5ae7dcbe7 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -2025,15 +2025,23 @@ guix pull
 @cindex upgrading the Guix daemon, on a foreign distro
 @cindex @command{guix pull} for the root user, on a foreign distro
 
-On a foreign distro, you can upgrade the build daemon by running:
+On a foreign distro, you can upgrade the build daemon by running the
+following command if using @command{sudo}:
 
 @example
 sudo -i guix pull
 @end example
 
 @noindent
-followed by (assuming your distro uses the systemd service management
-tool):
+Or, the following if using @command{doas}:
+
+@example
+doas -u root guix pull
+@end example
+
+@noindent
+After upgrading the build daemon, (assuming your distro uses the systemd
+service management tool):
 
 @example
 systemctl restart guix-daemon.service
-- 
2.34.1